reinit
Prev | Orchestra Opcodes and Operators | Next

## reinit

reinit — Suspends a performance while a special initialization pass is executed.

## Description

Suspends a performance while a special initialization pass is executed.

Whenever this statement is encountered during a p-time pass, performance is temporarily suspended while a special Initialization pass, beginning at label and continuing to rireturn or endin, is executed. Performance will then be resumed from where it left off.

## Syntax

    reinit label

## Examples

The following statements will generate an exponential control signal whose value moves from 440 to 880 exactly ten times over the duration p3. They use the file reinit.csd.

Example 860. Example of the reinit opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o reinit.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    kr = 44100
    ksmps = 1
    nchnls = 1

    instr 1

    reset:
            timout 0, p3/10, contin
            reinit reset

    contin:
            kLine expon 440, p3/10, 880
            aSig oscil 10000, kLine, 1
            out aSig
            rireturn

    endin

    </CsInstruments>
    <CsScore>

    f1 0 4096 10 1

    i1 0 10
    e

    </CsScore>
    </CsoundSynthesizer>

## See Also

rigoto, rireturn

Prev | Up | Next
rect2pol | Home | release